# Camera Class Reference

[Blender Index] [Blender Hierarchy]

Blender cameras can not be seen in the OOPS window at the moment More...

`#include <camera.h>`

Inherits: Blender

## Public Members

- Camera ()
- ~Camera ()
- Camera (const char* name = "Camera")
- char* name
- PyObject* Lens
- PyObject* ClSta
- PyObject* ClEnd

## Detailed Description

Blender cameras can not be seen in the OOPS window at the moment. Only the corresponding object is visible in gray.

## Camera(const char* name = "Camera")

A Blender camera has always a unique name. The name you give as an argument is only a proposal for the real name. Blender will check if this name is already used and rename the camera if necessary.

## char* name

All rectangles you can see in the OOPS window are instances of classes with an unique name for all instances of this class. Nevertheless the name of two instances of different classes can be the same.

## PyObject* Lens

The lens value of Blender is a bit odd. If you want to calculate the FOV (field of view angle) you should know that fov = 360.0 * math.atan(factor * 16.0 / camera.Lens) / math.pi) where factor is dependend on the x- and y-resolution of your picture.

## PyObject* ClSta

Clipping start value

## PyObject* ClEnd

Clipping end value

- Author: Jan Walter
- Documentation generated by jan@nvidea on Mon Mar 5 16:57:27 CET 2001

K doc